Skip to main content
GET
Get best bid/offer

Path Parameters

symbol
string
required

Instrument symbol (e.g., "BTC-USD")

Response

200 - application/json

A successful response.

Response containing the best bid and offer.

symbol
string
bestBid
Best bid (highest buy price) · object

BookEntry lists a price and volume for a market data record.

bestOffer
Best offer (lowest sell price) · object

BookEntry lists a price and volume for a market data record.

spread
string<int64>
midPrice
string<int64>
state
enum<string>

InstrumentState represents the state of an instrument.

Available options:
INSTRUMENT_STATE_CLOSED,
INSTRUMENT_STATE_OPEN,
INSTRUMENT_STATE_PREOPEN,
INSTRUMENT_STATE_SUSPENDED,
INSTRUMENT_STATE_EXPIRED,
INSTRUMENT_STATE_TERMINATED,
INSTRUMENT_STATE_HALTED,
INSTRUMENT_STATE_MATCH_AND_CLOSE_AUCTION,
INSTRUMENT_STATE_PENDING
transactTime
string<date-time>